Community
Showing results for 
Search instead for 
Do you mean 
Reply

Cannot Enable Synchronization for ACT 2010 latest version

Copper Contributor
Posts: 14
Country: United States

Cannot Enable Synchronization for ACT 2010 latest version

Get the following error message:

 

Synchronization activation failed.  Arithmetic overflow error converting Identity to datatype smallint  Arithmetic overflow occured

 

I have done all database fixes from actdiag. Sync fix in act diag produces same error.

I believe this is s SQL-related error. Running SQL 2008 Express

 

ACT is running on Windows 7 64 bit 

Platinum Elite Contributor
Posts: 6,652
Country: USA

Re: Cannot Enable Synchronization for ACT 2010 latest version

What version of the ACT! program?

Roy Laudenslager
ACT! Certified Consultant
ACT! Report Expert
Durkin Impact Report Designer
www.techbenders.com
royel@techbenders.com
541-343-8129
Copper Contributor
Posts: 14
Country: United States

Re: Cannot Enable Synchronization for ACT 2010 latest version

ACT! by Sage 2010 Version 12.1.181.0, Hot Fix 1

I now realize there is a hotfix 5. Does that matter?
Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Cannot Enable Synchronization for ACT 2010 latest version

Yes, it is a SQL error... I've only seen one reference to it in ACT!, and that was a while ago

I'd recommend creating a new database and merging the old one in
Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Cannot Enable Synchronization for ACT 2010 latest version

You might first try:
1. Updating to latest Hotfix (make sure all users update)
2. Getting ACTDIAG V14 from the knowledge base and see if it does a better repair
Copper Contributor
Posts: 14
Country: United States

Re: Cannot Enable Synchronization for ACT 2010 latest version

Tried this. Did not work
Copper Contributor
Posts: 14
Country: United States

Re: Cannot Enable Synchronization for ACT 2010 latest version

Thanks for idea. I tried using save as and creating a new file
When I tried to open the new save as file I got the following error:

"Database cannot be opene because the SQL version of this database cannot be identified"
Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Cannot Enable Synchronization for ACT 2010 latest version

What if you just create a new db (not Save As) ... if that works, it's database specific and you might need to send it in for repair.

I highly recommend Kim at:
http://techbenders.com/2010/07/act-database-repair-password-recovery/
Tell her I said hi - she'll look after you